TidePay
Customers

Update a customer

PATCH
/customers/{customerId}
X-API-Key<token>

Your merchant API key, shown once at creation in the dashboard (Settings → API key).

In: header

Path Parameters

customerId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/customers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "cust_01j8x2q3r4s5t6u7v8w9x0y1z2",  "wallets": [    {      "chainFamily": "evm",      "address": "0x71c7656ec7ab88b098defb751b7401b5f6d8976"    }  ],  "merchantReferenceId": "string",  "email": "string",  "phone": "string",  "name": "string",  "createdAt": "2026-08-19T14:32:00.000Z",  "updatedAt": "2026-08-19T14:32:00.000Z",  "merchantId": "string",  "isSandbox": true,  "idempotencyKey": "string"}